> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Media Candidates



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/google-ads/strategies/{strategy_id}/media/candidates
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/google-ads/strategies/{strategy_id}/media/candidates:
    get:
      tags:
        - Google Ads Create
      summary: Media Candidates
      operationId: >-
        media_candidates_api_v1_brands__brand_id__google_ads_strategies__strategy_id__media_candidates_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: strategy_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Strategy Id
        - name: revision
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            title: Revision
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 512
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GoogleMediaCandidatesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GoogleMediaCandidatesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GoogleMediaCandidate'
          type: array
          maxItems: 100
          title: Items
        nextCursor:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Nextcursor
      additionalProperties: false
      type: object
      required:
        - items
      title: GoogleMediaCandidatesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GoogleMediaCandidate:
      properties:
        assetId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assetid
        uploadId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Uploadid
        label:
          type: string
          maxLength: 500
          minLength: 1
          title: Label
        kind:
          type: string
          enum:
            - image
            - video
          title: Kind
        url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Url
        width:
          anyOf:
            - type: integer
              maximum: 32768
              exclusiveMinimum: 0
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
              maximum: 32768
              exclusiveMinimum: 0
            - type: 'null'
          title: Height
        durationSeconds:
          anyOf:
            - type: number
              maximum: 3600
              exclusiveMinimum: 0
            - type: 'null'
          title: Durationseconds
        eligibleSlotIds:
          items:
            type: string
            maxLength: 120
            minLength: 1
            pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
          type: array
          maxItems: 200
          title: Eligibleslotids
        limitations:
          items:
            type: string
            maxLength: 500
            minLength: 1
          type: array
          maxItems: 30
          title: Limitations
      additionalProperties: false
      type: object
      required:
        - label
        - kind
      title: GoogleMediaCandidate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````